## dlib 1.0

=== DESCRIPTION ===
Package: dlib
Type: Package
Title: Allow Access to the 'Dlib' C++ Library
License: BSL-1.0
Version: 1.0
Date: 2017-02-01
Maintainer: Jan Wijffels <jwijffels@bnosac.be>
Author: Jan Wijffels, BNOSAC and Davis King
Description: Interface for 'Rcpp' users to 'dlib' <http://dlib.net> which is a
    'C++' toolkit containing machine learning algorithms and computer vision tools.
    It is used in a wide range of domains including robotics, embedded devices,
    mobile phones, and large high performance computing environments. This package
    allows R users to use 'dlib' through 'Rcpp'.
LinkingTo: Rcpp
Imports: Rcpp
Suggests: inline, magick
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2017-02-20 15:38:33 UTC; bnosac
Repository: CRAN
Date/Publication: 2017-02-20 17:23:08

=== inst/include/dlib/test/blas_bindings/CMakeLists.txt ===
#
# This is a CMake makefile.  You can find the cmake utility and
# information about it at http://www.cmake.org
#

cmake_minimum_required(VERSION 2.8.4)

# This variable contains a list of all the tests we are building
# into the regression test suite.
set (tests
   blas_bindings_gemm.cpp
   blas_bindings_gemv.cpp
   blas_bindings_ger.cpp
   blas_bindings_dot.cpp
   blas_bindings_scal_axpy.cpp
   vector.cpp
   )

# create a variable called target_name and set it to the string "test"
set (target_name dtest)

PROJECT(${target_name})

# add all the cpp files we want to compile to this list.  This tells
# cmake that they are part of our target (which is the executable named test)
ADD_EXECUTABLE(${target_name} ../main.cpp ../tester.cpp ${tests})

ADD_DEFINITIONS(-DDLIB_TEST_BLAS_BINDINGS)

# Tell cmake to link our target executable to dlib
include(../../cmake)
TARGET_LINK_LIBRARIES(${target_name} dlib )

## dlib 1.0.3

=== DESCRIPTION ===
Package: dlib
Type: Package
Title: Allow Access to the 'Dlib' C++ Library
License: BSL-1.0
Version: 1.0.3
Date: 2018-05-07
Maintainer: Jan Wijffels <jwijffels@bnosac.be>
Author: Jan Wijffels, BNOSAC, Davis King and dlib package authors (see file AUTHORS)
Description: Interface for 'Rcpp' users to 'dlib' <http://dlib.net> which is a
    'C++' toolkit containing machine learning algorithms and computer vision tools.
    It is used in a wide range of domains including robotics, embedded devices,
    mobile phones, and large high performance computing environments. This package
    allows R users to use 'dlib' through 'Rcpp'.
LinkingTo: Rcpp
Copyright: see file COPYRIGHTS
Imports: Rcpp
Suggests: inline, magick
RoxygenNote: 6.0.1
NeedsCompilation: yes
Packaged: 2018-05-07 08:50:13 UTC; Jan
Repository: CRAN
Date/Publication: 2018-05-07 11:58:37 UTC

## dlib 1.0.3.1

=== DESCRIPTION ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Type: Package
 Title: Allow Access to the 'Dlib' C++ Library
 License: BSL-1.0
-Version: 1.0.3
+Version: 1.0.3.1
 Date: 2018-05-07
 Maintainer: Jan Wijffels <jwijffels@bnosac.be>
 Author: Jan Wijffels, BNOSAC, Davis King and dlib package authors (see file AUTHORS)
@@ -17,6 +17,6 @@
 Suggests: inline, magick
 RoxygenNote: 6.0.1
 NeedsCompilation: yes
-Packaged: 2018-05-07 08:50:13 UTC; Jan
+Packaged: 2020-10-14 15:40:04 UTC; hornik
 Repository: CRAN
-Date/Publication: 2018-05-07 11:58:37 UTC
+Date/Publication: 2020-10-14 16:34:38 UTC

## dlib 18.18

=== examples/CMakeLists.txt ===
#
# This is a CMake makefile.  You can find the cmake utility and
# information about it at http://www.cmake.org
#


cmake_minimum_required(VERSION 2.8.4)

PROJECT(examples)

include(../dlib/cmake)

# Tell CMake to compile a program.  We do this with the ADD_EXECUTABLE()
# statement which takes the name of the output executable and then a list of
# .cpp files to compile.  Here each example consists of only one .cpp file but
# in general you will make programs that const of many .cpp files.
ADD_EXECUTABLE(assignment_learning_ex assignment_learning_ex.cpp)
# Then we tell it to link with dlib.
TARGET_LINK_LIBRARIES(assignment_learning_ex dlib)




# Since there are a lot of examples I'm going to use a macro to simply this
# CMakeLists.txt file.  However, usually you will create only one executable in
# your cmake projects and use the syntax shown above.
MACRO(add_example name)
   ADD_EXECUTABLE(${name} ${name}.cpp)
   TARGET_LINK_LIBRARIES(${name} dlib )
ENDMACRO()


#here we apply our macros 
add_example(3d_point_cloud_ex)
add_example(bayes_net_ex)
add_example(bayes_net_from_disk_ex)
add_example(bayes_net_gui_ex)
add_example(bridge_ex)
add_example(bsp_ex)
add_example(compress_stream_ex)
add_example(config_reader_ex)
add_example(custom_trainer_ex)
add_example(dir_nav_ex)
add_example(empirical_kernel_map_ex)
add_example(face_detection_ex)
add_example(face_landmark_detection_ex)
add_example(fhog_ex)
add_example(fhog_object_detector_ex)
add_example(file_to_code_ex)
add_example(graph_labeling_ex)
add_example(gui_api_ex)
add_example(hough_transform_ex)
add_example(image_ex)
add_example(integrate_function_adapt_simp_ex)
add_example(iosockstream_ex)
add_example(kcentroid_ex)
add_example(kkmeans_ex)
add_example(krls_ex)
add_example(krls_filter_ex)
add_example(krr_classification_ex)
add_example(krr_regression_ex)
add_example(learning_to_track_ex)
add_example(least_squares_ex)
add_example(linear_manifold_regularizer_ex)
add_example(logger_custom_output_ex)
add_example(logger_ex)
add_example(logger_ex_2)
add_example(matrix_ex)
add_example(matrix_expressions_ex)
add_example(max_cost_assignment_ex)
add_example(member_function_pointer_ex)
add_example(mlp_ex)
add_example(model_selection_ex)
add_example(mpc_ex)
add_example(multiclass_classification_ex)
add_example(multithreaded_object_ex)
add_example(object_detector_advanced_ex)
add_example(object_detector_ex)
add_example(one_class_classifiers_ex)
add_example(optimization_ex)
add_example(parallel_for_ex)
add_example(pipe_ex)
add_example(pipe_ex_2)
add_example(quantum_computing_ex)
add_example(queue_ex)
add_example(rank_features_ex)
add_example(running_stats_ex)
add_example(rvm_ex)
add_example(rvm_regression_ex)
add_example(sequence_labeler_ex)
add_example(sequence_segmenter_ex)
add_example(server_http_ex)
add_example(server_iostream_ex)
add_example(sockets_ex)
add_example(sockstreambuf_ex)
add_example(std_allocator_ex)
add_example(surf_ex)
add_example(svm_c_ex)
add_example(svm_ex)
add_example(svm_pegasos_ex)
add_example(svm_rank_ex)
add_example(svm_sparse_ex)
add_example(svm_struct_ex)
add_example(svr_ex)
add_example(thread_function_ex)
add_example(thread_pool_ex)
add_example(threaded_object_ex)
add_example(threads_ex)
add_example(timer_ex)
add_example(train_object_detector)
add_example(train_shape_predictor_ex)
add_example(using_custom_kernels_ex)
add_example(video_tracking_ex)
add_example(xml_parser_ex)


find_package(OpenCV)
if (OpenCV_FOUND)
   include_directories(${OpenCV_INCLUDE_DIRS})

   ADD_EXECUTABLE(webcam_face_pose_ex webcam_face_pose_ex.cpp)
   TARGET_LINK_LIBRARIES(webcam_face_pose_ex dlib ${OpenCV_LIBS} )
endif()


if (DLIB_LINK_WITH_SQLITE3)
   add_example(sqlite_ex)
endif()

=== dlib/matlab/CMakeLists.txt ===

cmake_minimum_required(VERSION 2.8.4)

PROJECT(mex_functions)

include(cmake_mex_wrapper)

include(../cmake)

# Compile the example_mex_function.cpp file and link it to dlib.  Note
# that you can give a list of things to link to here.  E.g. 
#    add_mex_function(some_other_mex_function pthread dlib fftw) 
add_mex_function(example_mex_function dlib)
add_mex_function(example_mex_callback dlib)

=== dlib/test/CMakeLists.txt ===
#
# This is a CMake makefile.  You can find the cmake utility and
# information about it at http://www.cmake.org
#

cmake_minimum_required(VERSION 2.8.4)

# This variable contains a list of all the tests we are building
# into the regression test suite.
set (tests
   example.cpp
   active_learning.cpp
   any.cpp
   any_function.cpp
   array2d.cpp
   array.cpp
   assignment_learning.cpp
   base64.cpp
   bayes_nets.cpp
   bigint.cpp
   binary_search_tree_kernel_1a.cpp
   binary_search_tree_kernel_2a.cpp
   binary_search_tree_mm1.cpp
   binary_search_tree_mm2.cpp
   bridge.cpp
   bsp.cpp
   byte_orderer.cpp
   cca.cpp
   clustering.cpp
   cmd_line_parser.cpp
   cmd_line_parser_wchar_t.cpp
   compress_stream.cpp
   conditioning_class_c.cpp
   conditioning_class.cpp
   config_reader.cpp
   crc32.cpp
   create_iris_datafile.cpp
   data_io.cpp
   directed_graph.cpp
   discriminant_pca.cpp
   disjoint_subsets.cpp
   ekm_and_lisf.cpp
   empirical_kernel_map.cpp
   entropy_coder.cpp
   entropy_encoder_model.cpp
   example_args.cpp
   face.cpp
   fft.cpp
   fhog.cpp
   filtering.cpp
   find_max_factor_graph_nmplp.cpp
   find_max_factor_graph_viterbi.cpp
   geometry.cpp
   graph.cpp
   graph_cuts.cpp
   graph_labeler.cpp
   hash.cpp
   hash_map.cpp
   hash_set.cpp
   hash_table.cpp
   hog_image.cpp
   image.cpp
   iosockstream.cpp
   is_same_object.cpp
   kcentroid.cpp
   kernel_matrix.cpp
   kmeans.cpp
   learning_to_track.cpp
   least_squares.cpp
   linear_manifold_regularizer.cpp
   lspi.cpp
   lz77_buffer.cpp
   map.cpp
   matrix2.cpp
   matrix3.cpp
   matrix4.cpp
   matrix_chol.cpp
   matrix.cpp
   matrix_eig.cpp
   matrix_lu.cpp
   matrix_qr.cpp
   max_cost_assignment.cpp
   max_sum_submatrix.cpp
   md5.cpp
   member_function_pointer.cpp
   metaprogramming.cpp
   mpc.cpp
   multithreaded_object.cpp
   numerical_integration.cpp
   object_detector.cpp
   oca.cpp
   one_vs_all_trainer.cpp
   one_vs_one_trainer.cpp
   optimization.cpp
   optimization_test_functions.cpp
   opt_qp_solver.cpp
   parallel_for.cpp
   parse.cpp
   pipe.cpp
   pixel.cpp
   probabilistic.cpp
   pyramid_down.cpp
   queue.cpp
   rand.cpp
   ranking.cpp
   read_write_mutex.cpp
   reference_counter.cpp
   rls.cpp
   sammon.cpp
   scan_image.cpp
   sequence.cpp
   sequence_labeler.cpp
   sequence_segmenter.cpp
   serialize.cpp
   set.cpp
   sldf.cpp
   sliding_buffer.cpp
   smart_pointers.cpp
   sockets2.cpp
   sockets.cpp
   sockstreambuf.cpp
   sparse_vector.cpp
   stack.cpp
   static_map.cpp
   static_set.cpp
   statistics.cpp
   std_vector_c.cpp
   string.cpp
   svm_c_linear.cpp
   svm_c_linear_dcd.cpp
   svm.cpp
   svm_multiclass_linear.cpp
   svm_struct.cpp
   svr_linear_trainer.cpp
   symmetric_matrix_cache.cpp
   thread_pool.cpp
   threads.cpp
   timer.cpp
   tokenizer.cpp
   trust_region.cpp
   tuple.cpp
   type_safe_union.cpp
   vectorstream.cpp
   )

# create a variable called target_name and set it to the string "dtest"
set (target_name dtest)

PROJECT(${target_name})

# add all the cpp files we want to compile to this list.  This tells
# cmake that they are part of our target (which is the executable named dtest)
ADD_EXECUTABLE(${target_name} main.cpp tester.cpp ${tests})

# Turn on all warnings when using gcc.
if (CMAKE_COMPILER_IS_GNUCXX)
   add_definitions("-W -Wall")
endif()


# Tell cmake to link our target executable to dlib.
include(../cmake)
TARGET_LINK_LIBRARIES(${target_name} dlib )


if (NOT DLIB_NO_GUI_SUPPORT)
   add_subdirectory(gui)
   add_subdirectory(examples)
endif()

=== tools/imglab/CMakeLists.txt ===
#
# This is a CMake makefile.  You can find the cmake utility and
# information about it at http://www.cmake.org
#

cmake_minimum_required(VERSION 2.8.4)

# create a variable called target_name and set it to the string "imglab"
set (target_name imglab)

PROJECT(${target_name})

# add all the cpp files we want to compile to this list.  This tells
# cmake that they are part of our target (which is the executable named imglab)
ADD_EXECUTABLE(${target_name} 
   src/main.cpp
   src/metadata_editor.h
   src/metadata_editor.cpp
   src/convert_pascal_xml.h
   src/convert_pascal_xml.cpp
   src/convert_pascal_v1.h
   src/convert_pascal_v1.cpp
   src/convert_idl.h
   src/convert_idl.cpp
   src/common.h
   src/common.cpp
   src/cluster.cpp
)


# Tell cmake to link our target executable to dlib.  
include(../../dlib/cmake)
TARGET_LINK_LIBRARIES(${target_name} dlib )


INSTALL(TARGETS ${target_name}
	RUNTIME DESTINATION bin
	)

=== tools/mltool/CMakeLists.txt ===
#
# This is a CMake makefile.  You can find the cmake utility and
# information about it at http://www.cmake.org
#

cmake_minimum_required(VERSION 2.8.4)

# create a variable called target_name and set it to the string "mltool"
set (target_name mltool)

PROJECT(${target_name})

# add all the cpp files we want to compile to this list.  This tells
# cmake that they are part of our target (which is the executable named mltool)
ADD_EXECUTABLE(${target_name} 
   src/main.cpp
   src/regression.cpp
   src/regression.h
   src/common.h
   src/option_range.h
   src/option_range.cpp
)



# Tell cmake to link our target executable to dlib.
include(../../dlib/cmake)
TARGET_LINK_LIBRARIES(${target_name} dlib )


INSTALL(TARGETS ${target_name}
	RUNTIME DESTINATION bin
	)

=== tools/python/CMakeLists.txt ===

CMAKE_MINIMUM_REQUIRED(VERSION 2.8.4)


set(USE_SSE4_INSTRUCTIONS ON CACHE BOOL "Use SSE4 instructions")
include(../../dlib/add_python_module)

# Tell cmake to compile all these cpp files into a dlib python module.
set(python_srcs
   src/dlib.cpp
   src/matrix.cpp
   src/vector.cpp
   src/svm_c_trainer.cpp
   src/svm_rank_trainer.cpp
   src/decision_functions.cpp
   src/other.cpp
   src/basic.cpp
   src/cca.cpp
   src/sequence_segmenter.cpp
   src/svm_struct.cpp
   src/image.cpp
   src/rectangles.cpp
   src/object_detection.cpp
   src/shape_predictor.cpp
   src/correlation_tracker.cpp
)

# Only add the GUI module if requested
if(NOT ${DLIB_NO_GUI_SUPPORT})
   list(APPEND python_srcs src/gui.cpp)
endif(NOT ${DLIB_NO_GUI_SUPPORT})

add_python_module(dlib ${python_srcs})

# When you run "make install" we will copy the compiled dlib.so (or dlib.pyd) 
# library file to the python_examples folder.
install_dlib_to(../../python_examples)

=== debian/changelog ===
dlib (18.18-2build1) artful; urgency=medium

  * No-change rebuild against multiarch lapack, see #877025

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 28 Sep 2017 06:15:41 +0000

dlib (18.18-2) unstable; urgency=medium

  * Add the static library to the dev package. Closes: #836676.
  * Add Multi-Arch:foreign to libdlib-data control. Closes: #847990.
  * Standards-Version: updated to 3.9.8

 -- Séverin Lemaignan <severin@guakamole.org>  Mon, 12 Dec 2016 22:03:37 +0000

dlib (18.18-1) unstable; urgency=low

  * Initial release. (Closes: #800531)

 -- Séverin Lemaignan <severin@guakamole.org>  Thu, 14 Jan 2016 09:54:28 +0000

=== debian/control ===
Source: dlib
Priority: optional
Maintainer: Séverin Lemaignan <severin@guakamole.org>
Build-Depends: debhelper (>= 9), bzip2, cmake, libpng-dev, libjpeg-dev, libsqlite3-dev, libblas-dev, liblapack-dev
Standards-Version: 3.9.8
Section: libs
Homepage: http://dlib.net/
Vcs-Git: https://github.com/severin-lemaignan/dlib-debian.git
Vcs-Browser: https://github.com/severin-lemaignan/dlib-debian

Package: libdlib-dev
Section: libdevel
Architecture: any
Depends: libdlib18 (= ${binary:Version}), ${misc:Depends}
Description: C++ toolkit for machine learning and computer vision - development
 Dlib is a general purpose cross-platform open source software library written
 in the C++ programming language. It now contains software components for
 dealing with networking, threads, graphical interfaces, complex data
 structures, linear algebra, statistical machine learning, image processing,
 data mining, XML and text parsing, numerical optimization, Bayesian networks,
 and numerous other tasks.
 .
 This package contains the development headers.

Package: libdlib18
Architecture: any
Depends: libdlib-data, ${shlibs:Depends}, ${misc:Depends}
Description: C++ toolkit for machine learning and computer vision - library
 Dlib is a general purpose cross-platform open source software library written
 in the C++ programming language. It now contains software components for
 dealing with networking, threads, graphical interfaces, complex data
 structures, linear algebra, statistical machine learning, image processing,
 data mining, XML and text parsing, numerical optimization, Bayesian networks,
 and numerous other tasks.

Package: libdlib-data
Architecture: all
Multi-Arch: foreign
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: C++ toolkit for machine learning and computer vision - models
 Dlib is a general purpose cross-platform open source software library written
 in the C++ programming language. It now contains software components for
 dealing with networking, threads, graphical interfaces, complex data
 structures, linear algebra, statistical machine learning, image processing,
 data mining, XML and text parsing, numerical optimization, Bayesian networks,
 and numerous other tasks.
 .
 This package contains the trained models provided with dlib.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

# see EXAMPLES in dpkg-buildflags(1) and read /usr/share/dpkg/*
DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/default.mk

# see FEATURE AREAS in dpkg-buildflags(1)
#export DEB_BUILD_MAINT_OPTIONS = hardening=+all

# see ENVIRONMENT in dpkg-buildflags(1)
# package maintainers to append CFLAGS
#export DEB_CFLAGS_MAINT_APPEND  = -Wall -pedantic
# package maintainers to append LDFLAGS
#export DEB_LDFLAGS_MAINT_APPEND = -Wl,--as-needed

# main packaging script based on dh7 syntax
%:
	dh $@ --buildsystem=cmake --sourcedirectory=dlib

override_dh_auto_configure:
	dh_auto_configure -- \
	-DDLIB_NO_GUI_SUPPORT=ON

override_dh_auto_install:
	dh_auto_install
	find $(CURDIR)/debian/tmp/usr/include/dlib -type d -empty -delete
